/* 
 *
 * Copyright (c) <2010> Comarch S.A. and/or its subsidiary(-ies).
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of the License "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 *
 * Original Contributors:
 * Comarch S.A. - original contribution.
 *
 * Contributors:
 *
 * Description:
 *
 */

#include <e32std.h>
#include <Implementationproxy.h>

#include "hfpprofileplugin.h" 
#include "hfpcod.h"
#include "hfpsdp.h"

const TImplementationProxy ImplementationTable[] =
    {
    IMPLEMENTATION_PROXY_ENTRY( 0xE0009DD2, CHsHFPSDP::NewL),
    IMPLEMENTATION_PROXY_ENTRY( 0xE0009DD1, CHsHFPCoD::NewL),
    IMPLEMENTATION_PROXY_ENTRY(0xE0009DD3, CHsHFPProfile::NewL)

    };

EXPORT_C const TImplementationProxy* ImplementationGroupProxy(
        TInt& aTableCount)
    {
    aTableCount = sizeof(ImplementationTable) / sizeof(TImplementationProxy);
    return ImplementationTable;
    }
;
